For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
              • GETList Customers
              • POSTCreate Customers
              • PUTUpdate Customers
              • DELDelete Customers
                • GETList Customer Addresses
                • POSTCreate Customer Address
                • PUTUpdate Customer Address
                • DELDelete Customer Address
          • V2
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV3Addresses

Update Customer Address

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/customers/addresses
PUT
/stores/:store_hash/v3/customers/addresses
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/customers/addresses \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "id": 11,
> "first_name": "John",
> "last_name": "Doe",
> "address1": "111 E West Street",
> "address2": "654",
> "city": "Akron",
> "state_or_province": "Ohio",
> "postal_code": "44325",
> "country_code": "US",
> "phone": "1234567890",
> "address_type": "residential",
> "form_fields": [
> {
> "name": "test",
> "value": "test"
> }
> ]
> }
>]'
1{
2 "meta": {},
3 "address1": "123 Example Street",
4 "address2": "Building 4",
5 "address_type": "residential",
6 "city": "Austin",
7 "company": "BigCommerce",
8 "country": "United States",
9 "country_code": "US",
10 "customer_id": 1,
11 "first_name": "John",
12 "id": 18,
13 "last_name": "Doe",
14 "phone": "15551234567",
15 "postal_code": "78759",
16 "state_or_province": "Texas"
17}
Updates a Customer Address. Multiple customer addresses can be updated in one call. **Required Fields** * **id** -- ID of the *Customer Address* **Limits** * Limit of **3** concurrent requests. **Notes** * A unique customer address is a combination of the following core address fields: * **first_name** * **last_name** * **company** * **phone** * **address_type** * **address1** * **address2** * **city** * **country_code** * **state_or_province** * **postal_code** * An attempt to update an address such that it becomes identical to another address that already exists will result in no change to the target address or custom form field values. The response will have an HTTP 200 return code, and the address will be absent from the response body.
Was this page helpful?
Previous

Create Customer Address

Next

Delete Customer Address

Built with

Updates a Customer Address. Multiple customer addresses can be updated in one call.

Required Fields

  • id — ID of the Customer Address

Limits

  • Limit of 3 concurrent requests.

Notes

  • A unique customer address is a combination of the following core address fields:
    • first_name
    • last_name
    • company
    • phone
    • address_type
    • address1
    • address2
    • city
    • country_code
    • state_or_province
    • postal_code
  • An attempt to update an address such that it becomes identical to another address that already exists will result in no change to the target address or custom form field values. The response will have an HTTP 200 return code, and the address will be absent from the response body.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json

Request

This endpoint expects a list of objects.
idintegerRequired
The unique numeric ID of the address.
first_namestringOptional1-255 characters
The first name of the customer address.
last_namestringOptional1-255 characters
The last name of the customer address.
companystringOptional0-255 characters
The company of the customer address.
address1stringOptional
The address 1 line.
address2stringOptional
The address 2 line.
citystringOptional0-100 characters
The city of the customer address.
state_or_provincestringOptional0-100 characters
The state or province name.
postal_codestringOptional0-30 characters
The postal code of the customer address.
country_codestringOptional=2 characters
The country code of the customer address.
phonestringOptional0-50 characters
The phone number of the customer address.
address_typeenumOptional
The address type. Residential or Commercial.
Allowed values:
form_fieldslist of objectsOptional
Array of form fields. Controlled by formfields parameter.

Response

AddressCollectionResponseobject
Response payload for the BigCommerce API.
OR
map from strings to any

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.